Draft: Promuovi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Upgrade and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Split.svg Dividi Pagina precedente:
Pagina successiva: Declassa Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Promuovi

Posizione nel menu
Draft → Promuovi
Ambiente
Draft, Architettura
Avvio veloce
U P
Introdotto nella versione
-
Vedere anche
Declassa, Unione di Part


Descrizione

Questo strumento converte più oggetti in un unico oggetto di livello superiore in diversi modi.

Lo strumento Pomuovi esegue operazioni come la creazione di facce e la fusione di elementi diversi. Questo strumento funziona con elementi 2D di Draft. Per fondere i solidi 3D usare Unione di Part e le relative operazioni booleane di Part, e le operazioni booleane di PartDesign.

La controparte di questo strumento è l'operazione Declassa.

Draft Upgrade example.jpg

Contorno aperto promosso in contorno chiuso, e quindi in una faccia; un quadrato chiuso promosso in faccia e quindi fuso con la faccia precedente


Utilizzo

  1. Selezionare uno o più oggetti che si desidera declassare.
  2. Premere il pulsante Draft Upgrade.svg Promuovi o premere i tasti U e P. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.

Gli oggetti selezionati vengono modificati/assemblati seguendo l'ordine di questa lista:

  • se sono selezionate più facce, le facce vengono fuse (unione),
  • se è selezionata solo una faccia, non viene eseguito nulla,
  • se è selezionato un solo contorno aperto, il contorno viene chiuso,
  • Se sono selezionati solo bordi, i bordi vengono uniti in un contorno (chiuso quando è possibile),
  • Se nessuna delle precedenti operazioni è possibile, viene creato un oggetto composito,

Vale la pena provare a promuovere più volte una selezione per vedere se si ottiene una forma migliore. Per esempio:

  1. Promuovendo due Linee collegate ad un'estremità si ottiene un contorno non modificabile.
  2. Promuovendo di nuovo questo elemento si aggiunge una terza linea e si chiude il contorno non modificabile.
  3. La promozione di questo elemento aggiunge una faccia al contorno chiuso non modificabile.
  4. Promuovendo nuovamente questo elemento lo si trasformerà in una Polilinea, che può essere completamente editata, e tutte le sue proprietà sono modificabili.

Il contorno risultante può essere manipolato più facilmente delle linee originali. La fusione di linee singole può anche essere eseguita direttamente con lo strumento Polilinea. Alcune operazioni di fusione possono essere eseguite anche con lo strumento Unione di Part.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Promuovi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Eleva di grado il dato objects, che può essere un oggetto o un elenco di oggetti.
  • Se delete è True, i vecchi oggetti vengono eliminati.
  • Se force è dato, viene usato per forzare un certo tipo di promozione. Esso può essere: "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires", o "turnToLine".
  • Restituisce una upgrade_list, che è una lista contenente due liste: una lista di nuovi oggetti (addList) e una lista di oggetti da eliminare (deleteList).

Esempio:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)
Arrow-left.svg Draft Split.svg Dividi Pagina precedente:
Pagina successiva: Declassa Draft Downgrade.svg Arrow-right.svg